<div class="navbar navbar-dark bg-dark box-shadow">
  <div class="container d-flex justify-content-between">
    <a href="https://manuel-ri.de/leaflet-notifications/" class="navbar-brand d-flex align-items-center">
      <strong>Leaflet.Notifications Demo </strong> 
    </a>   
  </div>
</div>
<div class="row">
  <div class="col-9">
    <div id="map"></div>
  </div>
  <div class="col-3">
    <h3>Default Notifications</h3>
    <div class="btn-group" role="group" aria-label="Basic example">
      <button type="button" class="btn btn-primary" (click)='add("default", "info")'>Info</button>
      <button type="button" class="btn btn-danger" (click)='add("default", "alert")'>Alert</button>
      <button type="button" class="btn btn-success" (click)='add("default", "success")'>Success</button>
      <button type="button" class="btn btn-warning" (click)='add("default", "warning")'>Warning</button>
      <button type="button" class="btn btn-secondary" (click)='add("default", "custom")'>Custom</button>
    </div>
    <h3>Pastel Notifications</h3>
    <div class="btn-group" role="group" aria-label="Basic example">
      <button type="button" class="btn btn-primary" (click)='add("pastel", "info")'>Info</button>
      <button type="button" class="btn btn-danger"(click)='add("pastel", "alert")'>Alert</button>
      <button type="button" class="btn btn-success"(click)='add("pastel", "success")'>Success</button>
      <button type="button" class="btn btn-warning"(click)='add("pastel", "warning")'>Warning</button>
      <button type="button" class="btn btn-secondary"(click)='add("pastel", "custom")'>Custom</button>
    </div>
    <h3>Modern Notifications</h3>
    <div class="btn-group" role="group" aria-label="Basic example">
      <button type="button" class="btn btn-primary"(click)='add("modern", "info")'>Info</button>
      <button type="button" class="btn btn-danger"(click)='add("modern", "alert")'>Alert</button>
      <button type="button" class="btn btn-success"(click)='add("modern", "success")'>Success</button>
      <button type="button" class="btn btn-warning"(click)='add("modern", "warning")'>Warning</button>
      <button type="button" class="btn btn-secondary"(click)='add("modern", "custom")'>Custom</button>
    </div>
    <h3>Position</h3>
    <div class="btn-group" role="group" aria-label="Basic example">
      <button type="button" [ngClass]="{'btn-success': selectedPosition === 'topright', 'btn-dark': selectedPosition !== 'topright'}" class="btn" (click)="selectedPosition = 'topright'">Topright</button>
      <button type="button" [ngClass]="{'btn-success': selectedPosition === 'topleft', 'btn-dark': selectedPosition !== 'topleft'}" class="btn" (click)="selectedPosition = 'topleft'">Topleft</button>
      <button type="button" [ngClass]="{'btn-success': selectedPosition === 'bottomright', 'btn-dark': selectedPosition !== 'bottomright'}" class="btn" (click)="selectedPosition = 'bottomright'">Bottomright</button>
      <button type="button" [ngClass]="{'btn-success': selectedPosition === 'bottomleft', 'btn-dark': selectedPosition !== 'bottomleft'}" class="btn" (click)="selectedPosition = 'bottomleft'">Bottomleft</button>
    </div>
    <h3>Settings</h3>
    <div>
      <p>
        <input type="checkbox" class="form-check-input" checked  id="closableCheckbox">
        <label class="form-check-label" for="exampleCheck1">Closable</label>
      </p>
      <p>
        <input type="checkbox" class="form-check-input" checked id='dismissableCheckbox'>
        <label class="form-check-label" for="exampleCheck1">Dismissable</label>
      </p>
    </div>
  </div>
</div>
<div class="footer">
  &copy; Manuel Richter 
</div>